Skip to main content
Contract / Payouts

Prepare a calculated value estimate for a given contract

Prepare a payout value estimate for a given contract. This method requires the ContractPayouts:Get permission to be associated with your role.

GET
/fm/contract/payouts/estimate
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_idstringqueryrequired

Contract id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
payout_datestringqueryrequired

Payout date in YYYY-MM-DD format

Maximum string length: 10

Response

application/vnd.catch-e-api.v1+json

Success

calculated_value_gstnumber
Example: 1234.5
calculated_value_netnumber
Example: 12345
remaining_billingsinteger
Example: 24